# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.0.1
%define module_name Config-Secure
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.1
Release: alt1
Summary: Perl extension for scripts run with PSC
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SU/SUAVEANT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Config::Secure is a module for reading config data passed in by.Perl Secure Conf (PSC) which can be found at http://psc.sourceforge.net/
It is really not useful unless your script is called through PSC.

PSC is a setuid C program which opens a protected conf file, drops
its permissions, and then runs an unprotected perl script. 
Theoretically that perl script uses this module, and this module
then opens the filehandle and parses the data to return it to
you in a nice hash (or hashref). If the conf file is writeable
by the setuid user, you may also use write_conf to write back to
the conf file. For more info on PSC, see its documentation.

This module expects conf files to be in the form of
key: value
lines beginning with a # are comment lines. I have done my best
to maintain conf file comments on writeback. If you want to have
comments and write to your conf file, use the form of

# foo: this is a comment on foo
foo: bar

that way your comments will stay associated with their proper
keys.

You may have more than one value for a certain key, if you do this
the value in the hash will automagically change from a scalar value
to a hashref containing all the values in the order they were defined
in the file. It is up to you to catch this if you put in multiple
values for one key.

If you do not wish to use Config::Secure's get and write functions
you are free to write your own, though I would suggest you still
use Config::Secure to initialize your program. If you wish to do
this I have provided the get_fh method. Calling get_fh returns you
the filehandle to the file, and a flag as to whether or not you
may write to it. Use it as follows:

  my($fh,$writeable) = Config::Secure::get_fh();

You may then do whatever you want with the file.

Config::Secure does a neat little trick for you, it sets
$0 to contain the path to the psc link that was called
to invoke the script. This makes it easier to replace any
existing scripts that may rely on $0. Keep in mind, though,
that FindBin will point to the actual script, not the same
as the PSC link.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

